{% extends "base/normal.html" %}

{% comment %}
Presenter Club - Make Great Presentations, Faster
Copyright (C) 2016 Sam Parkinson <sam@sam.today>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
{% endcomment %}

{% block title %}{{ user.username }}'s Media Library on Presenter Club{% endblock title %}

{% block content %}
<div class="title-n-button">
    <h1>Your Media</h1>
</div>
<p>Using {{ space }} MiB of {{ max_space }} MiB</p>

<div class="Tabs">
    <div class="Tabs__head">
        <a class="Tabs__head__label Tabs__head__label--selected"
           href="{% url 'medialibrary:index' username=user.username %}">
            Media Library
        </a>
        <a class="Tabs__head__label"
           href="{% url 'u:userpage' username=user.username %}">
            Presentations
        </a>
        <a class="Tabs__head__label"
           href="{% url 'styles:index' username=user.username %}">
            Styles
        </a>
    </div>
    <div class="Tabs__content">
        <form method="post" enctype="multipart/form-data" class="emphasisbox__parent medialibrary__uploadbox">
            {% csrf_token %}
            <div class="emphasisbox__left medialibrary__upload">
                {% for error in form.image.errors %}
                    <b>{{ error }}</b>
                {% endfor %}
                {{ form.image }}
            </div>
            <div class="emphasisbox__actions">
                <input type="submit" value="Upload" class="button" />
            </div>
        </form>

        <ul class="medialibrary__list">{% for image in images %}
            <li class="medialibrary__li">
                <a href="{{ image.full.url }}"
                   title="Uploaded {{ image.created_time|timesince }} ago">
                    <img src="{{ image.thumb.url }}" class="medialibrary__thumb" />
                </a>
            </li>
        {% endfor %}</ul>
    </div>
</div>
{% endblock content %}
